summaryrefslogtreecommitdiff
path: root/dev-python/mkdocs
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2020-12-05 14:08:42 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2020-12-05 14:08:42 +0000
commit32a4698032393a9bbe3e9f967d5dc805bb4780d9 (patch)
tree449022c8a1383d0efb939f9175e449d6e2abdab4 /dev-python/mkdocs
parent490d80aeb76438be1b9d2803257dbf9199499f75 (diff)
downloadbaldeagleos-repo-32a4698032393a9bbe3e9f967d5dc805bb4780d9.tar.gz
baldeagleos-repo-32a4698032393a9bbe3e9f967d5dc805bb4780d9.tar.xz
baldeagleos-repo-32a4698032393a9bbe3e9f967d5dc805bb4780d9.zip
Updating liguros repo
Diffstat (limited to 'dev-python/mkdocs')
-rw-r--r--dev-python/mkdocs/Manifest1
-rw-r--r--dev-python/mkdocs/mkdocs-1.1.2.ebuild58
2 files changed, 59 insertions, 0 deletions
diff --git a/dev-python/mkdocs/Manifest b/dev-python/mkdocs/Manifest
index f6da1b6744d5..975036ae5830 100644
--- a/dev-python/mkdocs/Manifest
+++ b/dev-python/mkdocs/Manifest
@@ -1 +1,2 @@
+DIST mkdocs-1.1.2.tar.gz 6987352 BLAKE2B 98bf604aa15eac693368e77e6658c3906909a0cdc323772550a65c35cc301929cdc136919a612438563cefd74c9076b2e273cb89e3ffbe04bff2a419e6e36513 SHA512 bf0e5ba8a15524ebe433fce9f2d16404922850ca562339d60e7860e243f9523321cbab5dca1f276a71d3158c7b1bfadfa25b134da50ef1cedc0b1a9658b6f10c
DIST mkdocs-1.1.tar.gz 6984465 BLAKE2B 878d0351ac477651094b5f33a26d5faa444fed430b72df723d4fe020ee8d6953ee198a9e923aa79a04286445ff673e1d6967ca1740d8f02b37426b33038f76fb SHA512 3e846eac816d9a4f380e2cce856a1785b67c9d855392af8be2eb0de5c9aad7ead19e675fb36ff53e9e3046798c8691908c1d6bfec67f8c74dcaee6852b9c50cd
diff --git a/dev-python/mkdocs/mkdocs-1.1.2.ebuild b/dev-python/mkdocs/mkdocs-1.1.2.ebuild
new file mode 100644
index 000000000000..599dc78754f6
--- /dev/null
+++ b/dev-python/mkdocs/mkdocs-1.1.2.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7,8,9,10} )
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="Project documentation with Markdown"
+HOMEPAGE="https://www.mkdocs.org https://github.com/mkdocs/mkdocs"
+SRC_URI="https://github.com/${PN}/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+IUSE="doc"
+
+BDEPEND="
+ doc? (
+ dev-python/mdx_gh_links
+ )
+"
+
+RDEPEND="
+ >=dev-python/click-7.0[${PYTHON_USEDEP}]
+ >=dev-python/jinja-2.10.3[${PYTHON_USEDEP}]
+ >=dev-python/livereload-2.6.1[${PYTHON_USEDEP}]
+ ~dev-python/lunr-0.5.8[${PYTHON_USEDEP}]
+ >=dev-python/markdown-3.2.1[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-5.2[${PYTHON_USEDEP}]
+ >=www-servers/tornado-5.1.1[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests nose
+
+python_prepare_all() {
+ # Tests fails if additional themes are installed
+ sed -i -e 's:test_get_themes:_&:' \
+ mkdocs/tests/utils/utils_tests.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ default
+ if use doc; then
+ # cannot just do mkdocs build, because that fails if
+ # the package isn't already installed
+ python -m mkdocs build || die "Failed to make docs"
+ # Colliding files found by ecompress:
+ rm site/sitemap.xml.gz || die
+ HTML_DOCS=( "site/." )
+ fi
+}